Developer Docs
OVERVIEW
RCS
SMS / 2Way SMS API
Number Intelligence
Balance
Contacts
Senders
Lists
Stoplists
Statistics
Search for contacts in the Stoplist
Method for searching contacts in the Stoplist.
In the search, it is possible to use operations: like, =, >, >=, <, <=.
To search for contacts in the stoplist, make a request to this URL:
| GET https://one-api.bsg.world/api/stoplists/search |
Request parameters:
| Parameter | Required | Type | Default | Description | |
|---|---|---|---|---|---|
| page[offset] | No | int | 0 | Get contacts starting from offset | |
| page[limit] | No | int | 50 | Number of contacts in response | |
| sort | No | string | id | Sort by conditions: id, phone | |
| way | No | string | asc | Sorting options: asc, desc | |
| search[operator] | No | string | = | Operator for finding values: like, =, >, >=, <, <= | |
| search[field] | No | string | no | Field for search: id, type, phone, date | |
| search[value] | Value for search: | No | string | no | |
| id | Contact ID | ||||
| type |
Stop list. Possible values: sms, viber
If you need to search in both stop lists, do not set the type | ||||
| phone | Phone number. 9 to 15 digits | ||||
| date | Date of adding the contact to the stop list or a range of dates. Format ISO 8601: yyyy-mm-dd hh:mm:ss |
Response parameters:
| Parameter | Type | Description |
|---|---|---|
| id | integer | Contact ID |
| phone | integer | Phone number |
| created_at | string | Date of adding the contact to the stop list. Display format ISO 8601: yyyy-mm-dd hh:mm:ss |
| sms_stoplist | boolean | Whether the contact was added to the SMS stop list. Possible values: true or false |
| viber_stoplist | boolean | Whether the contact was added to the Viber stop list. Possible values: true or false |
If the request is successful, you will receive a response:
{
"data": [
{
"id": 9392897,
"phone": 12345678900,
"created_at": "2022-04-18 19:22:16",
"sms_stoplist": true,
"viber_stoplist": false
}
],
"meta": {
"page": {
"total": 1,
"limit": 30,
"offset": 0
},
"search": {
"field": "id",
"operator": "like",
"value": "string"
}
}
}
Interested in a special offer?
Ready to reach further?
Let’s talk
Submit